unit code;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, uSkinDraw;

type
  TfrmMain = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { private declarations }
    Skin : TSkin;
    tb   : TSkinTrackBar;
  public
    { public declarations }
    SkinFile : String;
  end; 

var
  frmMain : TfrmMain;

implementation

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  DoubleBuffered := True;
  // Skin laden
  Self.ClientWidth  := 297;
  Self.ClientHeight := 575;
  // Skin erstellen
  SkinFile := 'skins\classic.dat';
  Skin     := TSkin.Create(Self, SkinFile);
  // TrackBar erstellen
  tb       := Skin.CreateTrackBar(Self, 8, 80, 234, 20, 0, 100, 4, False, nil);
end;

procedure TfrmMain.FormDestroy(Sender: TObject);
begin
  Skin.Destroy;
end;

initialization
  {$I code.lrs}

end.

